# Serializable::serialize

(PHP 5 >= 5.1.0, PHP 7)

Serializable::serialize — String representation of object

### Description

abstract public Serializable::serialize ( void ) : string

Should return the string representation of the object.

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of the object or `NULL`

### Errors/Exceptions

Throws Exception when returning other types than strings and `NULL`.

### See Also

- __sleep()